diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 86485b6..1526dac 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -8585,7 +8585,7 @@ ConstantLODE(R, F, L): Exports == Implementation where
 
     constDsolve(op, g, x) ==
       b := homoBasis(op, x::F)
-      [particularSolution(op, g, b, int(#1, x))::F, b]
+      [particularSolution(op, g, b, (f1:F):F +-> int(f1, x))::F, b]
 
     homoBasis(op, x) ==
       p:SUP := 0
diff --git a/changelog b/changelog
index 18c5855..91f56bf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090513 tpd src/axiom-website/patches.html 20090513.04.tpd.patch
+20090513 tpd books/bookvol10.4 ODECONST +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.03.tpd.patch
 20090513 tpd books/bookvol10.3 MKCHSET +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0f18300..493a767 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1278,5 +1278,7 @@ bookvol10.3 LMDICT +-> conversion<br/>
 bookvol10.4 COMMONOP +-> conversion<br/>
 <a href="patches/20090513.03.tpd.patch">20090513.03.tpd.patch</a>
 bookvol10.3 MKCHSET +-> conversion<br/>
+<a href="patches/20090513.04.tpd.patch">20090513.04.tpd.patch</a>
+bookvol10.4 ODECONST +-> conversion<br/>
  </body>
 </html>
